import socket
import sys
import argparse


def main(argv):
    parser = argparse.ArgumentParser(
        description='Send socket message to ip and port.')
    parser.add_argument('-i', '--ip',
                        default='localhost',
                        dest='ip',
                        help='Provide destination ip. Defaults to localhost',
                        type=str
                        )
    parser.add_argument('-p', '--port',
                        default=80,
                        dest='port',
                        help='Provide destination port. Defaults to 80',
                        type=int
                        )

    args = parser.parse_args()
    print(f'Sending message to {args.ip}:{args.port}')
    sock = socket.socket()
    try:
        sock.connect((args.ip, args.port))
        sock.send("test".encode())
        print("Message sent.")
        sock.close()
    except:
        print("Cannot send message...")


if __name__ == "__main__":
    main(sys.argv[1:])
